/*
	DabaSegment.h
        Copyright 2008 Laura Dickey.  All rights reserved.

        This file is part of BrushViewQL.

        BrushViewQL is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        BrushViewQL is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with BrushViewQL; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place, Suite 330,
        Boston, MA  02111-1307  USA

        You may contact the author at: brushviewql@gmail.com
*/

#import <Cocoa/Cocoa.h>


@interface DataSegment : NSObject {
	char tag[5];
	char tagname[5];
	unsigned long length;
	NSData *bytes;
	int subversion;
}

- (void)setTag:(NSData *)data;
- (void)setTagName:(NSData *)data;
- (void)setLength:(unsigned long)theLength;
- (void)setBytes:(NSData *)data;
- (id)loadBrushes;
- (void)setSubVersion:(int)vers;
@end
