/*
	Abr12Brush.h
        Copyright 2008 Laura Dickey.  All rights reserved.

        This file is part of BrushViewQL.

        BrushViewQL is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        BrushViewQL is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with BrushViewQL; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place, Suite 330,
        Boston, MA  02111-1307  USA

        You may contact the author at: brushviewql@gmail.com
*/

#import <Cocoa/Cocoa.h>


@interface Abr12Brush : NSObject {

	long	misc;
	short	spacing;
	NSString	*name;
	char	antiAliasing;
	NSRect	bounds;
	NSRect	bound_long;
	short	depth;
	char	compressed;
}

- (NSImage *) loadData:(unsigned char *)brushData version:(int)vers;

@end
